scala.dbc.syntax
object Statement

[source: `scala/dbc/syntax/Statement.scala`]

`` `object` Statement
  `extends` AnyRef

Method Summary
`def` | select : SelectZygote
`def` | selectBag : SelectZygote
`implicit def` | selectBeyondToStatementSelect (sb : SelectBeyond) : Select
`implicit def` | selectDerivedFieldToSelectDerivedColumns (sdf : SelectDerivedField) : SelectDerivedColumns
`def` | selectSet : SelectZygote
`implicit def` | selectSourceTableToSelectSourceTables (sct : SelectSourceTable) : SelectSourceTables
`implicit def` | selectToSelectSourceTable (sct : Select) : SelectSourceTable
`implicit def` | selectToSelectSourceTables (sct : Select) : SelectSourceTables
`implicit def` | statementExpressionToSelectGroupBy (se : StatementExpression) : SelectGroupBy
`implicit def` | statementFieldToSelectDerivedField (fv : StatementField) : SelectDerivedField
`implicit def` | stringToSelectDerivedColumns (sdfs : java.lang.String) : SelectDerivedColumns
`implicit def` | stringToSelectDerivedField (fv : java.lang.String) : SelectDerivedField
`implicit def` | stringToSelectGroupBy (se : java.lang.String) : SelectGroupBy
`implicit def` | stringToSelectSourceTable (sct : java.lang.String) : SelectSourceTable
`implicit def` | stringToSelectSourceTables (sct : java.lang.String) : SelectSourceTables

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Class Summary
`abstract class` | SelectBeyond `extends` AnyRef
`abstract class` | SelectDerivedColumns `extends` AnyRef
`abstract class` | SelectDerivedField `extends` AnyRef
`abstract class` | SelectGroupBy `extends` AnyRef
`abstract class` | SelectOf `extends` AnyRef
`abstract class` | SelectSourceTable `extends` AnyRef
`abstract class` | SelectSourceTables `extends` AnyRef
`abstract class` | SelectZygote `extends` AnyRef

Method Details

`` `def` select : SelectZygote

`` `def` selectBag : SelectZygote

`` `def` selectSet : SelectZygote

`implicit` `def` statementFieldToSelectDerivedField(fv : StatementField) : SelectDerivedField

`implicit` `def` stringToSelectDerivedField(fv : java.lang.String) : SelectDerivedField

`implicit` `def` selectDerivedFieldToSelectDerivedColumns(sdf : SelectDerivedField) : SelectDerivedColumns

`implicit` `def` stringToSelectDerivedColumns(sdfs : java.lang.String) : SelectDerivedColumns

`implicit` `def` stringToSelectSourceTable(sct : java.lang.String) : SelectSourceTable

`implicit` `def` selectToSelectSourceTable(sct : Select) : SelectSourceTable

`implicit` `def` stringToSelectSourceTables(sct : java.lang.String) : SelectSourceTables

`implicit` `def` selectToSelectSourceTables(sct : Select) : SelectSourceTables

`implicit` `def` selectSourceTableToSelectSourceTables(sct : SelectSourceTable) : SelectSourceTables

`implicit` `def` selectBeyondToStatementSelect(sb : SelectBeyond) : Select

`implicit` `def` statementExpressionToSelectGroupBy(se : StatementExpression) : SelectGroupBy

`implicit` `def` stringToSelectGroupBy(se : java.lang.String) : SelectGroupBy